[supervisord]
nodaemon=true
user=root
logfile=/var/log/supervisor/supervisord.log
pidfile=/var/run/supervisord.pid

[program:apache2]
command=/usr/sbin/apache2ctl -D FOREGROUND
autostart=true
autorestart=true
stdout_logfile=/var/log/apache2/access.log
stderr_logfile=/var/log/apache2/error.log
priority=1

[program:node_exporter]
command=/usr/local/bin/node_exporter
autostart=true
autorestart=true
stdout_logfile=/dev/stdout
stdout_logfile_maxbytes=0
stderr_logfile=/dev/stderr
stderr_logfile_maxbytes=0
priority=2

[program:apache_exporter]
command=/usr/local/bin/apache_exporter --scrape_uri=http://localhost/server-status?auto
autostart=true
autorestart=true
stdout_logfile=/var/log/apache_exporter.log
stderr_logfile=/var/log/apache_exporter_error.log
priority=2
startsecs=5

[program:promtail]
command=/usr/local/bin/promtail -config.file=/etc/promtail/config.yaml
autostart=true
autorestart=true
stdout_logfile=/var/log/promtail/promtail.log
stderr_logfile=/var/log/promtail/promtail_error.log
priority=3
startsecs=5
